# class ActiveSupport::Configurable::Configuration

### Public Class Methods

compile_methods!(keys) click to toggle source

compiles reader methods so we don’t have to go through method_missing

    # File lib/active_support/configurable.rb, line 19
          def self.compile_methods!(keys)
            keys.reject { |m| method_defined?(m) }.each do |key|
              class_eval "            def #{key}; _get(#{key.inspect}); end
    ", __FILE__, __LINE__ + 1
            end
          end

### Public Instance Methods

compile_methods!() click to toggle source

    # File lib/active_support/configurable.rb, line 14
    def compile_methods!
      self.class.compile_methods!(keys)
    end